Bug 26782 - Circulation conditions: first 2 columns show as sortable, but cannot be sorted
Summary: Circulation conditions: first 2 columns show as sortable, but cannot be sorted
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 21946
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-22 12:31 UTC by Katrin Fischer
Modified: 2020-11-13 21:47 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26782: Add new class for indicating default sort without sortability (4.26 KB, patch)
2020-10-22 18:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26782: Add new class for indicating default sort without sortability (4.31 KB, patch)
2020-10-25 02:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 26782: Add new class for indicating default sort without sortability (4.37 KB, patch)
2020-10-25 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-22 12:31:15 UTC
The first 2 columns for patron category and item type have the little arrow marker, but won't sort when clicked on.
Comment 1 Owen Leonard 2020-10-22 12:46:50 UTC
The table is configured to not be sortable, and the default sort is indicated by the arrows. I agree that it is deceptive especially when the cursor indicates a link.

We'll have to see if there's a way to attach a style somehow to the fixed and sorted columns to correct it.
Comment 2 Owen Leonard 2020-10-22 18:24:02 UTC
Created attachment 112220 [details] [review]
Bug 26782: Add new class for indicating default sort without sortability

This patch adds to the globally-included CSS a class which can be added
to tables when they are configured using DataTables options that set a
default sort but don't allow the user to reorder columns.

The new class shows a grey rather than blue sorting indicator and sets
the cursort to the default pointer rather than the link "hand."

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Circulation and fine rules

In the table of circulation rules, confirm that the first two columns,
"Patron category" and "Item type" have a grey sorting icon in the
header cell indicating ascencing sort. Hovering the cursor over these
cells should show a default arrow cursor rather than the link cursor.
Comment 3 David Nind 2020-10-25 02:59:42 UTC
Created attachment 112466 [details] [review]
Bug 26782: Add new class for indicating default sort without sortability

This patch adds to the globally-included CSS a class which can be added
to tables when they are configured using DataTables options that set a
default sort but don't allow the user to reorder columns.

The new class shows a grey rather than blue sorting indicator and sets
the cursort to the default pointer rather than the link "hand."

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Circulation and fine rules

In the table of circulation rules, confirm that the first two columns,
"Patron category" and "Item type" have a grey sorting icon in the
header cell indicating ascencing sort. Hovering the cursor over these
cells should show a default arrow cursor rather than the link cursor.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-10-25 13:39:42 UTC
Created attachment 112476 [details] [review]
Bug 26782: Add new class for indicating default sort without sortability

This patch adds to the globally-included CSS a class which can be added
to tables when they are configured using DataTables options that set a
default sort but don't allow the user to reorder columns.

The new class shows a grey rather than blue sorting indicator and sets
the cursort to the default pointer rather than the link "hand."

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Circulation and fine rules

In the table of circulation rules, confirm that the first two columns,
"Patron category" and "Item type" have a grey sorting icon in the
header cell indicating ascencing sort. Hovering the cursor over these
cells should show a default arrow cursor rather than the link cursor.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-25 23:10:13 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 21:47:40 UTC
missing dependencies for 20.05.x, no backport